REMOTE-VIEWER(1)

NAME
remote-viewer - a simple remote desktop client

SYNOPSIS
remote-viewer [OPTIONS] -- [URI]

DESCRIPTION
remote-viewer is a simple remote display client. The supported protocols are SPICE and VNC.

Starting remote-viewer without URI will open a simple dialog with an entry and a list of previously successfully access URI.

OPTIONS
The following options are accepted when running "remote-viewer":

-h, --help
    Display command line help summary

-V, --version
    Display program version number

-v, --verbose
    Display information about the connection

-z PCT, --zoom=PCT
    Zoom level of the display window in percentage. Range 10-200.

-f, --full-screen=<auto-conf>
    Start with the windows maximized to fullscreen.

    If the argument 'auto-conf' is given, the remote display will be reconfigured to match at best the client physical monitor configuration on initialization, by enabling or disabling extra monitors as necessary. This is currently implemented by the Spice backend only.

-t TITLE, --title TITLE
    Set the window title to TITLE

--spice-controller
    Use the SPICE controller to initialize the connection with the SPICE server. This option is used by the SPICE browser addons to allow web page to start a client.

--debug
    Print debugging information

-H HOTKEYS, --hotkeys HOTKEYS
    Override the default hotkey bindings with HOTKEYS. Where HOTKEYS is <action1>=<key1>[+<key2>][,<action2>=<key3>[+<key4>]]. Key-names are case-insensitive, valid actions are: toggle-fullscreen, release-cursor, smartcard-insert and smartcard-remove. Examples:

      --hotkeys=toggle-fullscreen=shift+f11,release-cursor=shift+f12

      --hotkeys=release-cursor=ctrl+alt

    Note that hotkeys for which no binding is given are disabled, specifying an empty string disables all hotkeys.

EXAMPLES
To connect to SPICE server on host "makai" with port 5900

   remote-viewer spice://makai:5900

To connect to VNC server on host "tsingy" with port 5900

   remote-viewer vnc://tsingy:5900

BUGS
Report bugs to the mailing list "http://www.redhat.com/mailman/listinfo/virt-tools-list"

COPYRIGHT
Copyright (C) 2012 Red Hat, Inc., and various contributors. This is free software. You may redistribute copies of it under the terms of the GNU General Public License "http://www.gnu.org/licenses/gpl.html". There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
"virt-viewer(1)", the project website "http://virt-manager.org"